> ## Documentation Index
> Fetch the complete documentation index at: https://developers.yara.cash/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook events

> Lists outbound webhook events and delivery status history for the authenticated merchant.



## OpenAPI

````yaml /openapi.json get /v1/webhook-events
openapi: 3.0.3
info:
  contact:
    email: support@yara.cash
    name: Yara API Support
  description: >-
    Merchant-facing wallets/address-as-a-service API for creating merchant
    receive addresses, inspecting balances, quoting transfers, and initiating
    payouts to whitelisted recipients.

    Public endpoints are for external integrators. Dashboard endpoints are
    gateway-to-environment surfaces protected by the external API gateway.
    Internal endpoints are platform/system surfaces protected by an internal
    token.
  license:
    name: Proprietary
  title: Yara External API - Public API
  version: '1.0'
servers:
  - url: https://api.yara.cash
security: []
paths:
  /v1/webhook-events:
    get:
      tags:
        - public.webhooks
      summary: List webhook events
      description: >-
        Lists outbound webhook events and delivery status history for the
        authenticated merchant.
      parameters:
        - description: 'Number of results per page (default: 50, max: 200)'
          in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 200
        - description: 'Page number (default: 1)'
          in: query
          name: page
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookEventListResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WebhookEventListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/WebhookEvent'
          type: array
        meta:
          $ref: '#/components/schemas/PaginationMeta'
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
      type: object
    WebhookEvent:
      properties:
        created_at:
          example: '2026-08-03T12:05:00Z'
          type: string
        event_type:
          example: customer.verification.approved
          type: string
        id:
          example: d723cab9-1ad4-4d4d-821f-6704d834d575
          type: string
        payload:
          type: object
        resource_id:
          example: 945eb980-3420-4454-9784-ebb0050f3393
          type: string
        resource_type:
          example: customer_verification_submission
          type: string
        status:
          enum:
            - PENDING
            - DISPATCHED
            - SKIPPED
          example: DISPATCHED
          type: string
      type: object
    PaginationMeta:
      properties:
        limit:
          example: 50
          type: integer
        page:
          example: 1
          type: integer
        total:
          example: 42
          type: integer
        total_pages:
          example: 1
          type: integer
      type: object
    ErrorBody:
      properties:
        code:
          example: validation_error
          type: string
        message:
          example: invalid JSON body
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: 'Public merchant API key. You can also send Authorization: ApiKey <key>.'
      in: header
      name: X-Yara-API-Key
      type: apiKey

````